using EDPlayerJournal;
using EDPlayerJournal.Entries;
using EDPlayerJournal.BGS;

namespace EDPlayerJournalTests;

[TestClass]
public class CombatZoneTest {
    [TestMethod]
    public void DropshipDeployTest() {
        TransactionParser parser = new();

        List<Entry>? entries = Helper.LoadTestData("dropship-deploy.txt");
        Assert.IsNotNull(entries);

        List<Transaction>? transactions = parser.Parse(entries);
        Assert.IsNotNull(transactions);

        Vouchers? vouchers = transactions[0] as Vouchers;
        Assert.IsNotNull(vouchers);

        CombatZone? combatzone = transactions[1] as CombatZone;
        Assert.IsNotNull(combatzone);

        Assert.AreEqual(combatzone.Type, CombatZones.GroundCombatZone);
        Assert.AreEqual(combatzone.Grade, CombatZones.DifficultyHigh);
    }
}
